|  | Contents | Index

Codec.Encryption.MGF

Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk

Contents

Function Types

Description
Implements the mask generation function as specified in: ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-1/pkcs-1v2-1.pdf
Synopsis

mgf :: ([Octet] -> [Octet]) -> [Octet] -> Int -> [Octet]

Function Types
mgf :: ([Octet] -> [Octet]) -> [Octet] -> Int -> [Octet]
Take a hash function, a seed and the intended length of the the mask and deliver a mask of the requested length.
Produced by Haddock version 0.6